/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-06
 * 描述            ：材料成本表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CmReportProdMatMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_REPORT_PROD_MAT", namespace=CmReportProdMatMapper.class)
public class CmReportProdMat extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -1142666582010859225L;
	/** 
	 * 成本项目编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 成本项目名称
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 成本组织编码
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 成本组织名称
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 成本期间
	 */ 
	@Column
	private String prd_num;
	public String getPrd_num() {
		return this.prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}

	/** 
	 * 项目类型(A汇总项、B明细项)
	 */ 
	@Column
	private String item_type;
	public String getItem_type() {
		return this.item_type;
	}
	public void setItem_type(String item_type) {
		this.item_type = item_type;
	}

	/** 
	 * 项目等级(1...9)
	 */ 
	@Column
	private Long item_grade;
	public Long getItem_grade() {
		return this.item_grade;
	}
	public void setItem_grade(Long item_grade) {
		this.item_grade = item_grade;
	}

	/** 
	 * 二级项目
	 */ 
	@Column
	private String item_name2;
	public String getItem_name2() {
		return this.item_name2;
	}
	public void setItem_name2(String item_name2) {
		this.item_name2 = item_name2;
	}

	/** 
	 * 三级项目
	 */ 
	@Column
	private String item_name3;
	public String getItem_name3() {
		return this.item_name3;
	}
	public void setItem_name3(String item_name3) {
		this.item_name3 = item_name3;
	}

	/** 
	 * 四级项目
	 */ 
	@Column
	private String item_name4;
	public String getItem_name4() {
		return this.item_name4;
	}
	public void setItem_name4(String item_name4) {
		this.item_name4 = item_name4;
	}

	/** 
	 * 五级项目
	 */ 
	@Column
	private String item_name5;
	public String getItem_name5() {
		return this.item_name5;
	}
	public void setItem_name5(String item_name5) {
		this.item_name5 = item_name5;
	}

	/** 
	 * 六级项目
	 */ 
	@Column
	private String item_name6;
	public String getItem_name6() {
		return this.item_name6;
	}
	public void setItem_name6(String item_name6) {
		this.item_name6 = item_name6;
	}

	/** 
	 * 计量单位
	 */ 
	@Column
	private String msr_unit;
	public String getMsr_unit() {
		return this.msr_unit;
	}
	public void setMsr_unit(String msr_unit) {
		this.msr_unit = msr_unit;
	}

	/** 
	 * 本期实际用量
	 */ 
	@Column
	private Double consume_value;
	public Double getConsume_value() {
		return this.consume_value;
	}
	public void setConsume_value(Double consume_value) {
		this.consume_value = consume_value;
	}

	/** 
	 * 本期实际成本
	 */ 
	@Column
	private Double amount_value;
	public Double getAmount_value() {
		return this.amount_value;
	}
	public void setAmount_value(Double amount_value) {
		this.amount_value = amount_value;
	}

	/** 
	 * 本年累计用量
	 */ 
	@Column
	private Double total_consume;
	public Double getTotal_consume() {
		return this.total_consume;
	}
	public void setTotal_consume(Double total_consume) {
		this.total_consume = total_consume;
	}

	/** 
	 * 本年累计成本
	 */ 
	@Column
	private Double total_amount;
	public Double getTotal_amount() {
		return this.total_amount;
	}
	public void setTotal_amount(Double total_amount) {
		this.total_amount = total_amount;
	}

	/** 
	 * 本期单位用量(实际用量/实际产量)
	 */ 
	@Column
	private Double consume_per;
	public Double getConsume_per() {
		return this.consume_per;
	}
	public void setConsume_per(Double consume_per) {
		this.consume_per = consume_per;
	}

	/** 
	 * 本期单位成本(实际成本/实际产量)
	 */ 
	@Column
	private Double amount_per;
	public Double getAmount_per() {
		return this.amount_per;
	}
	public void setAmount_per(Double amount_per) {
		this.amount_per = amount_per;
	}

	/** 
	 * 本年累计平均用量
	 */ 
	@Column
	private Double total_consume_per;
	public Double getTotal_consume_per() {
		return this.total_consume_per;
	}
	public void setTotal_consume_per(Double total_consume_per) {
		this.total_consume_per = total_consume_per;
	}

	/** 
	 * 本年累计平均成本
	 */ 
	@Column
	private Double total_amount_per;
	public Double getTotal_amount_per() {
		return this.total_amount_per;
	}
	public void setTotal_amount_per(Double total_amount_per) {
		this.total_amount_per = total_amount_per;
	}

	/** 
	 * 同期累计平均用量
	 */ 
	@Column
	private Double same_total_consume_per;
	public Double getSame_total_consume_per() {
		return this.same_total_consume_per;
	}
	public void setSame_total_consume_per(Double same_total_consume_per) {
		this.same_total_consume_per = same_total_consume_per;
	}

	/** 
	 * 同期累计平均成本
	 */ 
	@Column
	private Double same_total_amount_per;
	public Double getSame_total_amount_per() {
		return this.same_total_amount_per;
	}
	public void setSame_total_amount_per(Double same_total_amount_per) {
		this.same_total_amount_per = same_total_amount_per;
	}

	/** 
	 * 成本性态(0变动、1固定)
	 */ 
	@Column
	private String item_ctrl;
	public String getItem_ctrl() {
		return this.item_ctrl;
	}
	public void setItem_ctrl(String item_ctrl) {
		this.item_ctrl = item_ctrl;
	}

	/** 
	 * 责任属性(0不可控、1可控)
	 */ 
	@Column
	private String item_prop;
	public String getItem_prop() {
		return this.item_prop;
	}
	public void setItem_prop(String item_prop) {
		this.item_prop = item_prop;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标识(1有效 0无效)
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * 是否审核(1审核 0未审核)
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	/** 
	 * 审核人
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * 审核时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	
	//********************************************************************************************
	
	//项目描述
	private String item_desc;
	public String getItem_desc() {
		return item_desc;
	}
	public void setItem_desc(String item_desc) {
		this.item_desc = item_desc;
	}
	
	//项目父代码
	private String parent_item_code;
	public String getParent_item_code() {
		return this.parent_item_code;
	}
	public void setParent_item_code(String parent_item_code) {
		this.parent_item_code = parent_item_code;
	}

	//项目父名称 
	private String parent_item_name;
	public String getParent_item_name() {
		return this.parent_item_name;
	}
	public void setParent_item_name(String parent_item_name) {
		this.parent_item_name = parent_item_name;
	}
	
	//本期实际产量
	private Double weight_value;
	public Double getWeight_value() {
		return this.weight_value;
	}
	public void setWeight_value(Double weight_value) {
		this.weight_value = weight_value;
	}
	
	//【合金结构钢】和【原料及主材】中间加一层描述
	private String item_name4_desc;
	public String getItem_name4_desc() {
		return item_name4_desc;
	}
	public void setItem_name4_desc(String item_name4_desc) {
		this.item_name4_desc = item_name4_desc;
	}
	
}
